using System;
using System.Collections.Generic;
using System.IO;
using System.Web;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using Telerik.Web.UI.Editor;

public partial class _Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		const string radEditorFilePath = @"~/Flash";

		RadEditor1.SetPaths(new[] { radEditorFilePath }, EditorFileTypes.Documents, EditorFileOptions.All);
		RadEditor1.SetPaths(new[] { radEditorFilePath }, EditorFileTypes.Flash, EditorFileOptions.All);
		RadEditor1.SetPaths(new[] { radEditorFilePath }, EditorFileTypes.Images, EditorFileOptions.All);
		RadEditor1.SetPaths(new[] { radEditorFilePath }, EditorFileTypes.Media, EditorFileOptions.All);
		RadEditor1.SetPaths(new[] { radEditorFilePath }, EditorFileTypes.Template, EditorFileOptions.All);

		RadEditor1.DisableFilter(EditorFilters.ConvertToXhtml);
	}

}